incubator-connectors-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From kwri...@apache.org
Subject svn commit: r1214665 - in /incubator/lcf/branches/CONNECTORS-313/framework/example-multiprocess: properties.xml start-database.bat start-database.sh
Date Thu, 15 Dec 2011 09:08:10 GMT
Author: kwright
Date: Thu Dec 15 09:08:10 2011
New Revision: 1214665

URL: http://svn.apache.org/viewvc?rev=1214665&view=rev
Log:
Add scripts to start HSQLDB, and set up HSQLDB as the example multiprocess database

Added:
    incubator/lcf/branches/CONNECTORS-313/framework/example-multiprocess/start-database.bat
  (with props)
    incubator/lcf/branches/CONNECTORS-313/framework/example-multiprocess/start-database.sh
  (with props)
Modified:
    incubator/lcf/branches/CONNECTORS-313/framework/example-multiprocess/properties.xml

Modified: incubator/lcf/branches/CONNECTORS-313/framework/example-multiprocess/properties.xml
URL: http://svn.apache.org/viewvc/incubator/lcf/branches/CONNECTORS-313/framework/example-multiprocess/properties.xml?rev=1214665&r1=1214664&r2=1214665&view=diff
==============================================================================
--- incubator/lcf/branches/CONNECTORS-313/framework/example-multiprocess/properties.xml (original)
+++ incubator/lcf/branches/CONNECTORS-313/framework/example-multiprocess/properties.xml Thu
Dec 15 09:08:10 2011
@@ -19,10 +19,13 @@
 <configuration>
   <!-- Point to the synchronization area -->
   <property name="org.apache.manifoldcf.synchdirectory" value="./syncharea"/>
-  <!-- Select Derby as the database implementation, and specify where the database will
be stored -->
-  <property name="org.apache.manifoldcf.databaseimplementationclass" value="org.apache.manifoldcf.core.database.DBInterfacePostgreSQL"/>
-  <property name="org.apache.manifoldcf.dbsuperusername" value="postgres"/>
-  <property name="org.apache.manifoldcf.dbsuperuserpassword" value="postgres"/>
+  <!-- Select HSQLDB as the database implementation, and specify multiprocess access -->
+  <property name="org.apache.manifoldcf.databaseimplementationclass" value="org.apache.manifoldcf.core.database.DBInterfaceHSQLDB"/>
+  <property name="org.apache.manifoldcf.hsqldbdatabaseprotocol" value="hsql"/>
+  <property name="org.apache.manifoldcf.hsqldbdatabaseserver" value="localhost"/>
+  <property name="org.apache.manifoldcf.hsqldbdatabaseinstance" value="xdb"/>
+  <property name="org.apache.manifoldcf.dbsuperusername" value="sa"/>
+  <property name="org.apache.manifoldcf.dbsuperuserpassword" value=""/>
   <property name="org.apache.manifoldcf.database.maxhandles" value="100"/>
   <property name="org.apache.manifoldcf.crawler.threads" value="50"/>
   <!-- Point to a specific (common) logging file -->

Added: incubator/lcf/branches/CONNECTORS-313/framework/example-multiprocess/start-database.bat
URL: http://svn.apache.org/viewvc/incubator/lcf/branches/CONNECTORS-313/framework/example-multiprocess/start-database.bat?rev=1214665&view=auto
==============================================================================
--- incubator/lcf/branches/CONNECTORS-313/framework/example-multiprocess/start-database.bat
(added)
+++ incubator/lcf/branches/CONNECTORS-313/framework/example-multiprocess/start-database.bat
Thu Dec 15 09:08:10 2011
@@ -0,0 +1,25 @@
+@echo off
+rem Licensed to the Apache Software Foundation (ASF) under one or more
+rem contributor license agreements.  See the NOTICE file distributed with
+rem this work for additional information regarding copyright ownership.
+rem The ASF licenses this file to You under the Apache License, Version 2.0
+rem (the "License"); you may not use this file except in compliance with
+rem the License.  You may obtain a copy of the License at
+rem
+rem     http://www.apache.org/licenses/LICENSE-2.0
+rem
+rem Unless required by applicable law or agreed to in writing, software
+rem distributed under the License is distributed on an "AS IS" BASIS,
+rem WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+rem See the License for the specific language governing permissions and
+rem limitations under the License.
+
+rem check that JAVA_HOME is set, and that the current directory is correct
+if not exist "%JAVA_HOME%\bin\java.exe" goto nojavahome
+rem invoke java with the database class
+"%JAVA_HOME%\bin\java" -cp processes\jar\hsqldb.jar org.hsqldb.Server -database.0 file:extdb;hsqldb.tx=mvcc;hsqldb.cache_file_scale=512
-dbname.0 xdb
+goto done
+:nojavahome
+echo Environment variable JAVA_HOME is not set properly.
+goto done
+:done

Propchange: incubator/lcf/branches/CONNECTORS-313/framework/example-multiprocess/start-database.bat
------------------------------------------------------------------------------
    svn:eol-style = CRLF

Propchange: incubator/lcf/branches/CONNECTORS-313/framework/example-multiprocess/start-database.bat
------------------------------------------------------------------------------
    svn:keywords = Id

Added: incubator/lcf/branches/CONNECTORS-313/framework/example-multiprocess/start-database.sh
URL: http://svn.apache.org/viewvc/incubator/lcf/branches/CONNECTORS-313/framework/example-multiprocess/start-database.sh?rev=1214665&view=auto
==============================================================================
--- incubator/lcf/branches/CONNECTORS-313/framework/example-multiprocess/start-database.sh
(added)
+++ incubator/lcf/branches/CONNECTORS-313/framework/example-multiprocess/start-database.sh
Thu Dec 15 09:08:10 2011
@@ -0,0 +1,26 @@
+#!/bin/bash -e
+
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+#Make sure environment variables are properly set
+if [ -e "$JAVA_HOME"/bin/java ] ; then
+    "%JAVA_HOME%"/bin/java -cp processes/jar/hsqldb.jar org.hsqldb.Server -database.0 file:extdb;hsqldb.tx=mvcc;hsqldb.cache_file_scale=512
-dbname.0 xdb
+    exit $?
+        
+else
+    echo "Environment variable JAVA_HOME is not properly set." 1>&2
+    exit 1
+fi

Propchange: incubator/lcf/branches/CONNECTORS-313/framework/example-multiprocess/start-database.sh
------------------------------------------------------------------------------
    svn:eol-style = LF

Propchange: incubator/lcf/branches/CONNECTORS-313/framework/example-multiprocess/start-database.sh
------------------------------------------------------------------------------
    svn:keywords = Id



Mime
View raw message